<h1 mat-dialog-title>Cadastro de Carrinhos</h1>
<div mat-dialog-content>

  <div *ngIf="hide">
    <mat-form-field class="fullwidth">
      <input type="number" disabled="true" matInput placeholder="Código do carrinho" id="id" [(ngModel)]="carrinho.id"
        name="id">
    </mat-form-field>
  </div>

  <p>
    <mat-form-field class="fullwidth">
      <input type="number" matInput placeholder="Código de Barras" id="codBarras" [(ngModel)]="carrinho.codBarras"
        name="descProd">
    </mat-form-field>
  </p>

  <td>
    <mat-form-field class="fullwidth">
      <input disabled="true" type="text" matInput placeholder="Status" id="status"
        [(ngModel)]="carrinho.status" name="status">
    </mat-form-field>
  </td>
  
  <p>
    <button id="btClose" mat-button (click)="onCloseDialog()">Sair</button>
    <button id="btSave" mat-button (click)="onValidateForm()">Salvar</button>
  </p>

</div>
